Mark Shuttleworth interview: Taking Ubuntu beyond desktops
================================================================================
He may have stepped back from the CEO role at Canonical, but Mark Shuttleworth is still very much the public face of Ubuntu.

He suffered a setback earlier this year when the crowdfunded Ubuntu Edge project – in which he invested a lot of personal capital, if not actual money – failed to get anywhere near its ambitious investment target. However, he tells us the project wasn’t a total failure, and may even be aped by the best-known smartphone maker of them all.

#### Q. How long will Ubuntu remain primarily focused on the desktop? ####

**A.** If you look at the design work we’ve done across desktops, phones and tablets, we’ve done it specifically so we can converge them into one codebase. The mobile code we’re working on now is also the future desktop codebase: your phone can give you a desktop, since it has all the desktop code sitting on it.

> The mobile code we’re working on now is also the future desktop codebase

The actual convergence will happen some time during the next major cycle – it won’t be in 14.04, but it could be in 14.10 or 15.04. We believe we’ll be able to deliver that before Microsoft manages to converge Windows on mobile and PC, which the company has said is its goal from a design and development perspective.

Once we’ve converged those, there’s a question about whether the six-month release cycles make as much sense. Phone and tablet users are used to the idea that the phone just updates itself whenever, so maybe we’ll soften up on the six-month thing and release updates all the time.

#### Q. With Android and iOS so well established, how will you encourage developers to produce apps for Ubuntu? ####

**A.** That’s the key question. Ubuntu is the number-one platform for all kinds of [cloud computing][1] – Instagram is all Ubuntu, for example, and the back-end of many of the games and services that people run on their mobile devices runs on Ubuntu in the cloud. So, on that side we feel very much the strong incumbent.

I think the key difference between us and Windows 8 is that we’re based on Linux, just like Android. That means web apps and native apps designed for Android are much closer to being on Ubuntu than they are to being on Windows. Many Android developers use Ubuntu, and develop their apps on Ubuntu, so it’s much easier for them to target that simultaneously.

#### Q. Do you have any hardware partners lined up to make Ubuntu phones and tablets? ####

**A.** We’ve seen test devices by a series of household brands. All those companies have internal teams looking at their future options. It’s very difficult to influence them; they decide what they think is interesting for themselves.

But we’ve seen a number of them take cutting-edge devices and put on Ubuntu. Since we’re also Linux, it’s relatively easy for them to do that if they have Android devices in the pipeline. It’s a very strong signal of interest that they’re independently putting Ubuntu on devices and showing it to carriers.

The core story is that we don’t have any announced partners, but we’re comfortable that the industry is taking a good, hard look at Ubuntu, and investing the time and money needed to do that properly.

#### Q. Were you disappointed that the Ubuntu Edge didn’t get funding? ####

**A.** I was very, very disappointed that we weren’t able to turn it into reality. I continue to get mail from people who say “I supported the Edge and I’m disappointed it didn’t happen”. But I was blown away by the level of support that we did achieve. For us to get a device out would be a huge undertaking, but if you consider an existing phone manufacturer, they could do something like the Edge with a lower [funding] threshold.

Also, we’ve seen an uptick in interest in convergence. People are saying, “yes, mobile processors are catching up with the desktop”. When Apple announced the next-generation iPhone [5s], it called the processor “desktop-class”, and I don’t think that was an accident.

It was a rare occasion where perhaps the company gloated prematurely, and sent what we think is a very clear signal that it will converge the iPhone and the MacBook Air. There’s no point talking about the desktop performance of your CPU unless you plan to make a desktop device with that CPU.

So, while I was disappointed that we didn’t make the Edge, I’m convinced the idea is going to get made. Our focus will be on having the best software stack for a converged world.

#### Q. What smartphone do you use on a personal basis? ####

**A.** I have Ubuntu running on my own smartphone – it’s a Nexus, and I’ve replaced Android. I also have a collection of devices running everything: Windows Phone, iOS and Android. It helps me stay in touch with what users expect.

#### Q. What’s the state of play with Ubuntu TV? It was announced in 2012 but things have gone quiet since then. ####

**A.** Ubuntu TV has been folded into the mobile codebase. We’re now working on production. It might be phone in this release, tablet in the next release and, ultimately, everything converged. We’ll have one codebase that will be the Ubuntu experience across all those different form factors.

--------------------------------------------------------------------------------

via: http://www.pcpro.co.uk/news/interviews/386080/mark-shuttleworth-interview-taking-ubuntu-beyond-desktops

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.cloudpro.co.uk/